package com.ruoyi.project.training.elearn.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 试卷题目答案对象 t_el_paper_qu_answer
 *
 * @author ssy
 * @date 2024-05-29
 */
public class TElPaperQuAnswer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 试卷ID */
    @Excel(name = "试卷ID")
    private Long paperId;

    /** 题目ID */
    @Excel(name = "题目ID")
    private Long quId;

    /** 回答项ID */
    @Excel(name = "回答项ID")
    private Long answerId;

    /** 是否正确项 */
    @Excel(name = "是否正确项")
    private Long isRight;

    /** 是否选中 */
    @Excel(name = "是否选中")
    private Long checked;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 选项标签 */
    @Excel(name = "选项标签")
    private String abc;

    private String image;

    private String content;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPaperId(Long paperId)
    {
        this.paperId = paperId;
    }

    public Long getPaperId()
    {
        return paperId;
    }
    public void setQuId(Long quId)
    {
        this.quId = quId;
    }

    public Long getQuId()
    {
        return quId;
    }
    public void setAnswerId(Long answerId)
    {
        this.answerId = answerId;
    }

    public Long getAnswerId()
    {
        return answerId;
    }
    public void setIsRight(Long isRight)
    {
        this.isRight = isRight;
    }

    public Long getIsRight()
    {
        return isRight;
    }
    public void setChecked(Long checked)
    {
        this.checked = checked;
    }

    public Long getChecked()
    {
        return checked;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setAbc(String abc)
    {
        this.abc = abc;
    }

    public String getAbc()
    {
        return abc;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("paperId", getPaperId())
            .append("quId", getQuId())
            .append("answerId", getAnswerId())
            .append("isRight", getIsRight())
            .append("checked", getChecked())
            .append("sort", getSort())
            .append("abc", getAbc())
            .toString();
    }
}
